#!/bin/bash

set -eu -o pipefail

# Fire up Jekyll with the right configuration
run_jekyll() {
  set -eu

  bundle exec jekyll serve \
    --config "$JEKYLL_CONFIG" \
    --host "$JEKYLL_HOST" \
    --port "$JEKYLL_PORT" \
    --trace \
    --verbose
}

# Main entrypoint
main() {
  set -eu

  run_jekyll
}

main
